List products

GET /products

Operation id: getProducts

Description

Search products by product family and status: scrolling response (with nextPageToken attribute). Allows to request specific fields (projection), sorting by a field and define the page size

Tags: Products

Parameters

Query parameters

NameTypeRequiredDescription
familystringNoProduct family, optional. By default includes only supported product families Example: wcs
fieldsstringNoDefine the requested entity fields (projection), optional. Example: id,name,family
pageTokenstringNo
productTypestringNoProduct Type, optional. Example: parent
sizeinteger (int32)No
sortFieldstringNoSorting field, optional. Example: name
sortTypestringNoSort direction, optional. Example: ASC
statusstringNoProduct status, optional. Example: ACTIVE

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — OK

Content type: */*

Response models

200 — OK

Content type: */*

Schema

PropertyTypeRequiredDescription
dataarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "productType": {
            "type": "string"
          },
          "version": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "sku": {
            "type": "string"
          },
          "family": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "parentProduct": {
            "type": "string"
          },
          "licenseType": {
            "type": "string"
          },
          "module": {
            "type": "string"
          },
          "creationDate": {
            "type": "string",
            "format": "date-time"
          },
          "lastModifiedDate": {
            "type": "string",
            "format": "date-time"
          },
          "features": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "source": {
            "type": "object",
            "properties": {
              "sourceType": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "sourceIdentifier": {
                "type": "string"
              }
            }
          },
          "status": {
            "type": "string",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}